/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2019-05-07 14:50:36Z
 *****************************************************************************/

#ifndef __RSCMW_ATTRIBUTES_HEADER
#define __RSCMW_ATTRIBUTES_HEADER

#include "rscore.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRangeTable rscmw_rngIntExt;
extern RsCoreRangeTable rscmw_rngExtRefFreq;
extern RsCoreRangeTable rscmw_rngRclSave;
extern RsCoreRangeTable rscmw_rngInstrPart;
extern RsCoreRangeTable rscmw_rngRegVal;
extern RsCoreRangeTable rscmw_rngSystGPIB;
extern RsCoreRangeTable rscmw_rngDirection;
extern RsCoreRangeTable rscmw_rngFontSize;
extern RsCoreRangeTable rscmw_rngDeactivateConnector;
extern RsCoreRangeTable rscmw_rngBit;
extern RsCoreRangeTable rscmw_rngSyncMode;
extern RsCoreRangeTable rscmw_rngReportDisplay;
extern RsCoreRangeTable rscmw_rngFanControl;
extern RsCoreRangeTable rscmw_rngSetBaseTriggerSlope;
extern RsCoreRangeTable rscmw_rngDeactivateCorrectionTableForConnectorCMWS;
extern RsCoreRangeTable rscmw_rngTreeNavigationMode;
extern RsCoreRangeTable rscmw_rngHcopyFormat;
extern RsCoreRangeTable rscmw_rngTraceFormat;
extern RsCoreRangeTable rscmw_rngRemoteTraceStopMode;
extern RsCoreRangeTable rscmw_rngRemoteTraceStartMode;
extern RsCoreRangeTable rscmw_rngHardcopyArea;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttribute g_RSCMW_RS_ATTR_RANGE_CHECK;
extern RsCoreAttribute g_RSCMW_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsCoreAttribute g_RSCMW_RS_ATTR_CACHE;
extern RsCoreAttribute g_RSCMW_RS_ATTR_SIMULATE;
extern RsCoreAttribute g_RSCMW_RS_ATTR_RECORD_COERCIONS;
extern RsCoreAttribute g_RSCMW_RS_ATTR_INTERCHANGE_CHECK;
extern RsCoreAttribute g_RSCMW_RS_ATTR_SPY;
extern RsCoreAttribute g_RSCMW_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsCoreAttribute g_RSCMW_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RSCMW_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsCoreAttribute g_RSCMW_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsCoreAttribute g_RSCMW_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsCoreAttribute g_RSCMW_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMW_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsCoreAttribute g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsCoreAttribute g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsCoreAttribute g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsCoreAttribute g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RSCMW_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsCoreAttribute g_RSCMW_RS_ATTR_GROUP_CAPABILITIES;
extern RsCoreAttribute g_RSCMW_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsCoreAttribute g_RSCMW_RS_ATTR_CHANNEL_COUNT;
extern RsCoreAttribute g_RSCMW_RS_ATTR_DRIVER_SETUP;
extern RsCoreAttribute g_RSCMW_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsCoreAttribute g_RSCMW_RS_ATTR_INSTRUMENT_MODEL;
extern RsCoreAttribute g_RSCMW_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsCoreAttribute g_RSCMW_RS_ATTR_OPTIONS_LIST;
extern RsCoreAttribute g_RSCMW_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsCoreAttribute g_RSCMW_RS_ATTR_LOGICAL_NAME;
extern RsCoreAttribute g_RSCMW_RS_ATTR_PRIMARY_ERROR;
extern RsCoreAttribute g_RSCMW_RS_ATTR_SECONDARY_ERROR;
extern RsCoreAttribute g_RSCMW_RS_ATTR_ERROR_ELABORATION;
extern RsCoreAttribute g_RSCMW_RS_ATTR_VISA_RM_SESSION;
extern RsCoreAttribute g_RSCMW_RS_ATTR_IO_SESSION;
extern RsCoreAttribute g_RSCMW_RS_ATTR_IO_SESSION_TYPE;
extern RsCoreAttribute g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsCoreAttribute g_RSCMW_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMW_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RSCMW_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMW_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsCoreAttribute g_RSCMW_RS_ATTR_ENGINE_REVISION;
extern RsCoreAttribute g_RSCMW_RS_ATTR_OPC_CALLBACK;
extern RsCoreAttribute g_RSCMW_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsCoreAttribute g_RSCMW_RS_ATTR_OPC_TIMEOUT;
extern RsCoreAttribute g_RSCMW_ATTR_SYSTEM_REFERENCE_FREQUENCY_SOURCE;
extern RsCoreAttribute g_RSCMW_ATTR_SYSTEM_REFERENCE_EXTERNAL_FREQUENCY;
extern RsCoreAttribute g_RSCMW_ATTR_REFERENCE_FREQUENCY_STATE;
extern RsCoreAttribute g_RSCMW_ATTR_INTERNAL_TEMPERATURE;
extern RsCoreAttribute g_RSCMW_ATTR_SYNCHRONIZATION_MODE;
extern RsCoreAttribute g_RSCMW_ATTR_CONFIGURE_NETWORK_HOSTNAME;
extern RsCoreAttribute g_RSCMW_ATTR_CONFIGURE_NETWORK_DHCP;
extern RsCoreAttribute g_RSCMW_ATTR_CONFIGURE_NETWORK_ADAPTER;
extern RsCoreAttribute g_RSCMW_ATTR_ENABLE_DNS_ADDRESS_CONFIGURATION;
extern RsCoreAttribute g_RSCMW_ATTR_CONFIGURE_NETWORK_IP_ADDRESS;
extern RsCoreAttribute g_RSCMW_ATTR_CONFIGURE_NETWORK_SUBNET_MASK;
extern RsCoreAttribute g_RSCMW_ATTR_CONFIGURE_NETWORK_GATEWAY;
extern RsCoreAttribute g_RSCMW_ATTR_SYSTEM_GPIB_ADDRESS;
extern RsCoreAttribute g_RSCMW_ATTR_SYSTEM_ENABLE_GPIB_INTERFACE;
extern RsCoreAttribute g_RSCMW_ATTR_SYSTEM_ENABLE_VXI_INTERFACE;
extern RsCoreAttribute g_RSCMW_ATTR_CONFIGURE_SUBINSTRUMENTS;
extern RsCoreAttribute g_RSCMW_ATTR_MAX_NUMBER_OF_SUBINSTRUMENTS;
extern RsCoreAttribute g_RSCMW_ATTR_ASSIGN_RESOURCES_TO_SUBINSTRUMENTS;
extern RsCoreAttribute g_RSCMW_ATTR_DEVICE_ID;
extern RsCoreAttribute g_RSCMW_ATTR_CMWS_DEVICE_ID;
extern RsCoreAttribute g_RSCMW_ATTR_DEVICE_GROUP;
extern RsCoreAttribute g_RSCMW_ATTR_STARTUP_BEHAVIOR;
extern RsCoreAttribute g_RSCMW_ATTR_CONFIGURE_FONT_SIZE;
extern RsCoreAttribute g_RSCMW_ATTR_CONFIGURE_UPDATE_ON_REMOTE;
extern RsCoreAttribute g_RSCMW_ATTR_MONITOR_DISPLAY_STATE;
extern RsCoreAttribute g_RSCMW_ATTR_TREE_NAVIGATION_MODE;
extern RsCoreAttribute g_RSCMW_ATTR_CLEAR_ALL_EVENT_STATUS_REGISTER;
extern RsCoreAttribute g_RSCMW_ATTR_CLEAR_EVENT_STATUS_REGISTER;
extern RsCoreAttribute g_RSCMW_ATTR_PRESET_STATUS_REGISTERS;
extern RsCoreAttribute g_RSCMW_ATTR_STATUS_OQ_CONFIGURATION;
extern RsCoreAttribute g_RSCMW_ATTR_STATUS_OQ_TASK_CONFIGURATION;
extern RsCoreAttribute g_RSCMW_ATTR_STATUS_OQ_TASK_INSTRUMENT_PART_CONFIGURE;
extern RsCoreAttribute g_RSCMW_ATTR_STATUS_OQ_TASK_NETSTD_PART_CONFIGURE;
extern RsCoreAttribute g_RSCMW_ATTR_STATUS_OQ_TASK_FUNCTION_GROUP_PART_CONFIGURE;
extern RsCoreAttribute g_RSCMW_ATTR_STATUS_OQ_TASK_PART_CONFIGURE;
extern RsCoreAttribute g_RSCMW_ATTR_STATUS_OQ_REGISTER_BIT_CONFIGURATION;
extern RsCoreAttribute g_RSCMW_ATTR_STATUS_ERROR;
extern RsCoreAttribute g_RSCMW_ATTR_MACRO_ENABLED;
extern RsCoreAttribute g_RSCMW_ATTR_DELETE_ALL_MACROS;
extern RsCoreAttribute g_RSCMW_ATTR_CALIBRATION_ALL;
extern RsCoreAttribute g_RSCMW_ATTR_RF_CORRECTION_FILE;
extern RsCoreAttribute g_RSCMW_ATTR_CLEAR_BUFFER;
extern RsCoreAttribute g_RSCMW_ATTR_CONTINUE_BUFFER;
extern RsCoreAttribute g_RSCMW_ATTR_DELETE_BUFFER;
extern RsCoreAttribute g_RSCMW_ATTR_START_BUFFER;
extern RsCoreAttribute g_RSCMW_ATTR_STOP_BUFFER;
extern RsCoreAttribute g_RSCMW_ATTR_SET_SYSTEM_TIMESTAMP;
extern RsCoreAttribute g_RSCMW_ATTR_GET_SYSTEM_TIMESTAMP;
extern RsCoreAttribute g_RSCMW_ATTR_SET_ABSOLUTE_TIMER;
extern RsCoreAttribute g_RSCMW_ATTR_SET_RELATIVE_TIMER;
extern RsCoreAttribute g_RSCMW_ATTR_SUBNET_NODE_NAME;
extern RsCoreAttribute g_RSCMW_ATTR_SUBNET_NODE_TYPE;
extern RsCoreAttribute g_RSCMW_ATTR_NETWORK_ADAPTER;
extern RsCoreAttribute g_RSCMW_ATTR_SUBNET_MONITOR_NAME;
extern RsCoreAttribute g_RSCMW_ATTR_SUBNET_MONITOR_TYPE;
extern RsCoreAttribute g_RSCMW_ATTR_SUBNET_MONITOR_ID;
extern RsCoreAttribute g_RSCMW_ATTR_SUBNET_MONITOR_DESCRIPTION;
extern RsCoreAttribute g_RSCMW_ATTR_SUBNET_MONITOR_REFRESH;
extern RsCoreAttribute g_RSCMW_ATTR_REMOTE_TRACE_ENABLED;
extern RsCoreAttribute g_RSCMW_ATTR_REMOTE_TRACE_FORMAT;
extern RsCoreAttribute g_RSCMW_ATTR_REMOTE_TRACE_START_MODE;
extern RsCoreAttribute g_RSCMW_ATTR_REMOTE_TRACE_STOP_MODE;
extern RsCoreAttribute g_RSCMW_ATTR_REMOTE_TRACE_FILE_PATH;
extern RsCoreAttribute g_RSCMW_ATTR_REMOTE_TRACE_FILE_SIZE;
extern RsCoreAttribute g_RSCMW_ATTR_CONFIGURE_REPORT_DISPLAY;
extern RsCoreAttribute g_RSCMW_ATTR_CLEAR_REMOTE_TRACE_DISPLAY;
extern RsCoreAttribute g_RSCMW_ATTR_GET_RESOURCE_STRING;
extern RsCoreAttribute g_RSCMW_ATTR_CONFIGURE_LOCK_CTRLS;
extern RsCoreAttribute g_RSCMW_ATTR_SET_BASE_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSCMW_ATTR_SET_BASE_TRIGGER_SOURCE_DIRECTION;
extern RsCoreAttribute g_RSCMW_ATTR_SET_BASE_TRIGGER_SLOPE;
extern RsCoreAttribute g_RSCMW_ATTR_BASE_TRIGGER_SOURCE_CATALOG;
extern RsCoreAttribute g_RSCMW_ATTR_INITIATE_USER_TRIGGER;
extern RsCoreAttribute g_RSCMW_ATTR_SYSTEM_OPTION_LIST;
extern RsCoreAttribute g_RSCMW_ATTR_COMMON_RELIABILITY;
extern RsCoreAttribute g_RSCMW_ATTR_ALL_GENERATORS_OFF;
extern RsCoreAttribute g_RSCMW_ATTR_ALL_MEASUREMENTS_OFF;
extern RsCoreAttribute g_RSCMW_ATTR_ALL_SIGNALING_APPLICATIONS_OFF;
extern RsCoreAttribute g_RSCMW_ATTR_FAN_CONTROL;
extern RsCoreAttribute g_RSCMW_ATTR_MULTIPLE_WINDOW_MODE_ENABLED;
extern RsCoreAttribute g_RSCMW_ATTR_FD_LIST_OF_TABLE_NAMES;
extern RsCoreAttribute g_RSCMW_ATTR_DELETE_ATTENUATION_CORRECTION_TABLE;
extern RsCoreAttribute g_RSCMW_ATTR_DELETE_ALL_ATTENUATION_CORRECTION_TABLE;
extern RsCoreAttribute g_RSCMW_ATTR_SAVE_ATTENUATION_CORRECTION_TABLE;
extern RsCoreAttribute g_RSCMW_ATTR_LOAD_ATTENUATION_CORRECTION_TABLE;
extern RsCoreAttribute g_RSCMW_ATTR_DEACTIVATE_CORRECTION_TABLE_FOR_CONNECTOR;
extern RsCoreAttribute g_RSCMW_ATTR_DEACTIVATE_CORRECTION_TABLE_FOR_CONNECTOR_CMWS;
extern RsCoreAttribute g_RSCMW_ATTR_ATTENUATION_CORRECTION_TABLE_COUNT;
extern RsCoreAttribute g_RSCMW_ATTR_SYSTEM_VERSION;
extern RsCoreAttribute g_RSCMW_ATTR_SYSTEM_ERROR;
extern RsCoreAttribute g_RSCMW_ATTR_SYSTEM_ALL_ERRORS;
extern RsCoreAttribute g_RSCMW_ATTR_SYST_ERR_CODE;
extern RsCoreAttribute g_RSCMW_ATTR_SYSTEM_ALL_ERRORS_CODE;
extern RsCoreAttribute g_RSCMW_ATTR_SYSTEM_PRESET;
extern RsCoreAttribute g_RSCMW_ATTR_SYSTEM_PRESET_APPLICATION;
extern RsCoreAttribute g_RSCMW_ATTR_SYSTEM_RESET_APPLICATION;
extern RsCoreAttribute g_RSCMW_ATTR_SYSTEM_RESET_ALL;
extern RsCoreAttribute g_RSCMW_ATTR_SYSTEM_RESET_BASE;
extern RsCoreAttribute g_RSCMW_ATTR_RCL;
extern RsCoreAttribute g_RSCMW_ATTR_SAV;
extern RsCoreAttribute g_RSCMW_ATTR_FILE_MANAGER_EDIT_PATH;
extern RsCoreAttribute g_RSCMW_ATTR_FILE_MANAGER_DELETE;
extern RsCoreAttribute g_RSCMW_ATTR_FILE_MANAGER_MAKE_DIRECTORY;
extern RsCoreAttribute g_RSCMW_ATTR_FILE_MANAGER_DELETE_DIRECTORY;
extern RsCoreAttribute g_RSCMW_ATTR_FILE_MANAGER_GET_INSTRUMENT_DRIVES;
extern RsCoreAttribute g_RSCMW_ATTR_FILE_MANAGER_CHANGE_DRIVE;
extern RsCoreAttribute g_RSCMW_ATTR_FILE_MANAGER_ALIASES;
extern RsCoreAttribute g_RSCMW_ATTR_FILE_CAPTURE_INTERIOR_WINDOW;
extern RsCoreAttribute g_RSCMW_ATTR_FILE_CAPTURE_ENTIRE_WINDOW;
extern RsCoreAttribute g_RSCMW_ATTR_HARDCOPY_FILE_FORMAT;
extern RsCoreAttribute g_RSCMW_ATTR_HARDCOPY_FILE_AREA;
extern RsCoreAttribute g_RSCMW_ATTR_ID_QUERY_RESPONSE;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRepCap rscmw_RsCoreRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttributePtr rscmw_RsCoreAttributeList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSCMW_ATTRIBUTES_HEADER */
